#ifndef HAVE_SPOOL_REMAILER_INCLUDE
	#define HAVE_SPOOL_REMAILER_INCLUDE

#define _GNU_SOURCE
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <libgen.h>
#include <signal.h>

#include <sys/types.h>
#include <sys/wait.h>

#include "llist.h"
#include "defs.h"


/* Returns number of messages processed in filein usinf
 * command from sendmail_argv
 * be_verbose is boolean
 */
int
send_mail_file(char ** sendmail_argv,FILE * filein,int be_verbose);

/*
 * forks off sendmail_argv and returns pid of child
 * streams is where the FILE * for communication are stored
 */
int
open_sendmail(char ** sendmail_argv,FILE ** streams,int be_verbose);

/*
 * True if this line is start of a new message
 * (Current algorithm is unix "From ")
 */
int
is_new_msg(char * buf);

void
usage(void);


void
print_version(void);

void
pauseme(void);

void
sigio_handler(int signal_in);

int
do_verbosity(FILE ** streams);


/* Globals */

char * ProgName;
/*FILE * streams[0] = { NULL }; */
int MaxChildren = 0; 
int optind = 0;
int be_quiet = 0;


#endif /* HAVE_SPOOL_REMAILER_INCLUDE */
